package ru.kolevatykh.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-03-23T17:22:33.863+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.kolevatykh.ru/", name = "ITokenEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ITokenEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeAllTokenSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeAllTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeAllTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "closeAllTokenSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseAllTokenSession")
    @ResponseWrapper(localName = "closeAllTokenSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseAllTokenSessionResponse")
    public void closeAllTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/openTokenSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/openTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/openTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "openTokenSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.OpenTokenSession")
    @ResponseWrapper(localName = "openTokenSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.OpenTokenSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String openTokenSession(
        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeTokenSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/closeTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "closeTokenSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseTokenSession")
    @ResponseWrapper(localName = "closeTokenSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseTokenSessionResponse")
    public void closeTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getUserByTokenRequest", output = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getUserByTokenResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getUserByToken/Fault/Exception")})
    @RequestWrapper(localName = "getUserByToken", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetUserByToken")
    @ResponseWrapper(localName = "getUserByTokenResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetUserByTokenResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.User getUserByToken(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getListTokenSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getListTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/ITokenEndpoint/getListTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "getListTokenSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetListTokenSession")
    @ResponseWrapper(localName = "getListTokenSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetListTokenSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Token> getListTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
